Installer - Bug #15132

/etc/puppetlabs/puppetserver/bootstrap.cfg is missing in Puppet Server 2.5.0
05/23/2016 05:01 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Foreman modules
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-pu
ppet/pull/402

Description
puppet-puppet fails under Puppet Server 2.5.0 as it appears bootstrap.cfg is now gone:

# [ WARN 2016-05-23 08:48:00 verbose] /Stage[main]/Puppet::Server::Puppetserver/Augeas[puppet::se
rver: :puppetserver::jvm] /returns: executed successfully

# [ERROR 2016-05-23 08:48:00 verbose] /Stage[main]/Puppet::Server: :Puppetserver/File_line[ca_enab
led]: Could not evaluate: No such file or directory @ rb_sysopen - /etc/puppetlabs/puppetserver/bo
otstrap.cfg

# [ INFO 2016-05-23 08:48:00 verbose] /usr/share/foreman-installer/modules/stdlib/lib/puppet/provi
der/file_line/ruby.rb:39:in "readlines'

# [ INFO 2016-05-23 08:48:00 verbose] /usr/share/foreman-installer/modules/stdlib/lib/puppet/provi
der/file_line/ruby.rb:39:in "“lines'

# [ INFO 2016-05-23 08:48:00 verbose] /usr/share/foreman-installer/modules/stdlib/lib/puppet/provi
der/file_line/ruby.rb:6:in “exists?'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property/
ensure.rb:81l:in ‘retrieve'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:1
068:in “retrieve'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:1l
096:1n "retrieve_resource'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
on/resource_harness.rb:221:in ' from_resource'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
on/resource_harness.rb:19:in "evaluate'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
on.rb:212:in "apply'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
on.rb:228:in “eval_resource'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
on.rb:151:in “call’

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
on.rb:151:in “block (2 levels) in evaluate'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:3
86:in "block in thinmark'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in "r
ealtime'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:3
85:in “thinmark'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
on.rb:151:in "block in evaluate'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/rel
ationship_graph.rb:118:in "traverse'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
on.rb:142:in “evaluate'

# [ INFO 2016-05-23 08:48:00 verbose] /opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/
catalog.rb:222:in "block in apply'
#

#

#

#

#

23:in

#

[ INFO 2016-05-23 08:48:00 verbose]
rb:155:1n “with_destination'’
[ INFO 2016-05-23 08:48:00 verbose]
on/report.rb:118:in “as_logging_destination'
[ INFO 2016-05-23 08:48:00 verbose]
catalog.rb:221:in “apply'
[ INFO 2016-05-23 08:48:00 verbose]
r.rb:171:in “block in apply_catalog'

[ INFO 2016-05-23 08:48:00 verbose]

[ INFO

ealtime'

#

22:in

#

H O R E R oS

#
r

#

on/apply.

#

on/apply.

#

b:

#

#

[ INFO

[ INFO

.rb:170:

[ INFO

- H98 3153

[ INFO

.rb:186:

[ INFO

:65:1in

[ INFO

[ INFO

- H93 1853

[ INFO
[ INFO
[ INFO
65:1in

[ INFO

[ INFO

on/apply

#

[ INFO

on/apply

#

[ INFO

"block in benchmark'

2016-05-23 08:48:00

2016-05-23 08:48:00

‘benchmark’

2016-05-23 08:48:00
in “apply_catalog'
2016-05-23 08:48:00
in “run_internal'
2016-05-23 08:48:00
in “block in run'
2016-05-23 08:48:00

‘override'

2016-05-23 08:48:00

‘override'

2016-05-23 08:48:00
in “run'
2016-05-23 08:48:00

2016-05-23 08:48:00
rb:274:in “block in
2016-05-23 08:48:00

‘override'

2016-05-23 08:48:00

‘override'

2016-05-23 08:48:00
.rb:225:in "main'
2016-05-23 08:48:00

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

rb:350:in "apply_catalog'

verbose]
main'

verbose]
verbose]

verbose]

verbose]

.rb:170:1in "~ run_command'

2016-05-23 08:48:00

on.rb:344:in “block in run'

#

40:1in

#

[ INFO

[ INFO

2016-05-23 08:48:00

“exit_on_fail'

2016-05-23 08:48:00

on.rb:344:in " run'

#

[ INFO

2016-05-23 08:48:00

and_line.rb:128:in “run'

#

[ INFO

2016-05-23 08:48:00

and_line.rb:72:in " execute'

#
#

bled]:

[ INFO
[ERROR

Could not evaluate:

2016-05-23 08:48:00
2016-05-23 08:48:00

ootstrap.cfg

#

[ INFO

2016-05-23 08:48:00

der/file_line/ruby.rb:39:1in

#

[ INFO

2016-05-23 08:48:00

der/file_line/ruby.rb:39:1in

#

[ INFO

2016-05-23 08:48:00

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

“lines'

verbose]

der/file_line/ruby.rb:6:in “exists?'
[ INFO 2016-05-23 08:48:00 verbose]
ensure.rb:81l:in ‘retrieve'
[ INFO 2016-05-23 08:48:00 verbose]
068:in “retrieve'
[ INFO 2016-05-23 08:48:00 verbose]
096:1in " retrieve_resource'
[ INFO 2016-05-23 08:48:00 verbose]

#

#

#

#

on/resource_harness.rb:221:in

#
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:2
/opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in “r
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:2
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.r
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:240:in
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.r
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:240:1in
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:5
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/comm
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/comm

/opt/puppetlabs/puppet/bin/puppet:5:in ~<main>'
/Stage[main] /Puppet::Server: :Puppetserver/File_line[ca_disa

No such file or directory @ rb_sysopen - /etc/puppetlabs/puppetserver/b

/usr/share/foreman-installer/modules/stdlib/lib/puppet/provi

‘readlines'

/usr/share/foreman—-installer/modules/stdlib/lib/puppet/provi
/usr/share/foreman—-installer/modules/stdlib/lib/puppet/provi
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property/
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:1
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:1

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti

“from_resource'
[ INFO 2016-05-23 08:48:00 verbose]

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
on/resource_harness.rb:19:in ‘evaluate'
[ INFO 2016-05-23 08:48:00 verbose]
on.rb:212:in "apply'
[ INFO 2016-05-23 08:48:00 verbose]

#

#

on.rb:228:in

#

on.rb:151:in

#

on.rb:151:in

#

86:in

#

[ INFO

[ INFO

[ INFO

[ INFO

ealtime'

#

85:1in

#

on.rb:151:in

#

ationship_graph.rb:118:

#

on.rb:142:in

#

#

rb:155:1in

#

#

#

#

23:in

#

[ INFO

[ INFO

[ INFO

[ INFO

“eval_resource'
2016-05-23 08:48:00
‘call'
2016-05-23
“block
2016-05-23

08:48:00

08:48:00

"block in thinmark'

2016-05-23 08:48:00

2016-05-23 08:48:00

“thinmark'

2016-05-23
“block
2016-05-23

08:48:00
in
08:48:00
in
2016-05-23 08:48:00
‘evaluate'

(2 levels)

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

evaluate'

verbose]

‘traverse'

verbose]

[ INFO 2016-05-23 08:48:00 verbose]
catalog.rb:222:in "block in apply'
[ INFO 2016-05-23 08:48:00 verbose]

‘with_destination'

[ INFO 2016-05-23 08:48:00 verbose]
on/report.rb:118:in ‘as_logging_destination'
[ INFO 2016-05-23 08:48:00 verbose]
catalog.rb:221:in “apply'
[ INFO 2016-05-23 08:48:00 verbose]
r.rb:171:in “block in apply_catalog'

[ INFO

[ INFO

ealtime'

#

22:in

=+

= O MR R %R

#

r.

#

on/apply.

#

on/apply.

#

b:

#

#

on/apply.

#

on/apply.

#

on.rb:344:in

#

40:1in

#

on.rb:344:in

[ INFO

[ INFO

.rb:170:

[ INFO

.rb:315:

[ INFO

.rb:186:

[ INFO

:65:1in

[ INFO

[ INFO

rb:185:

[ INFO
[ INFO
[ INFO
65:1in

[ INFO
[ INFO
[ INFO
[ INFO

[ INFO

[ INFO

2016-05-23 08:48:00

"block in benchmark'

2016-05-23 08:48:00

2016-05-23 08:48:00

‘benchmark'

2016-05-23 08:48:00
in “apply_catalog'
2016-05-23 08:48:00
in “run_internal'’
2016-05-23 08:48:00
in "block in run'
2016-05-23 08:48:00

‘override'

2016-05-23 08:48:00

‘override'

2016-05-23 08:48:00
in “run'

2016-05-23
rb:350:in
2016-05-23
rb:274:1in
2016-05-23

08:48:00

08:48:00
“block in
08:48:00

‘override'

2016-05-23 08:48:00

‘override'

2016-05-23
rb:225:in

2016-05-23
rb:170:1in

2016-05-23
"block
2016-05-23

08:48:00
‘main'
08:48:00

08:48:00
in run'
08:48:00

“exit_on_fail'

2016-05-23 08:48:00
“run'
verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

“apply_catalog'

verbose]
main'

verbose]
verbose]

verbose]

verbose]

“run_command'

verbose]

verbose]

verbose]

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti

in evaluate'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:3
/opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in “r
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:3
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/rel
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:2
/opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in "r
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:?2
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.r
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:240:in
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.r
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:240:in
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:5

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
#

and_line.

#

and_line.

#
#

[ INFO

[ INFO

[ INFO

[ERROR
ed_code_service]:

2016-05-23 08:48:00

rb:128:in “run'
2016-05-23 08:48:00
rb:72:in ‘execute'

2016-05-23 08:48:00
2016-05-23 08:48:00

petserver/bootstrap.cfg
[ INFO 2016-05-23 08:48:00 verbose]
der/file_line/ruby.rb:39:1in

#

#

[ INFO

2016-05-23 08:48:00

der/file_line/ruby.rb:39:in

#

[ INFO

2016-05-23 08:48:00

verbose]

verbose]

verbose]
verbose]

Could not evaluate:

verbose]

“lines'

verbose]

der/file_line/ruby.rb:6:in “exists?'
[ INFO 2016-05-23 08:48:00 verbose]

#

ensure.rb:81l:1in

#

068:1in

#

096:in

#

on/resource_harness.

#

on/resource_harness.

#

‘retrieve'

[ INFO 2016-05-23 08:48:00 verbose]

‘retrieve'

[ INFO 2016-05-23 08:48:00 verbose]

[ INFO

[ INFO

[ INFO

"retrieve_resource'

2016-05-23 08:48:00
rb:
08:48:
rb:19:

08:48:

2016-05-23 00

2016-05-23 00

on.rb:212:in "apply'

#

on.rb:228:in

#

on.rb:151:in

#

on.rb:151:in

#

86:in

#

[ INFO

[ INFO

[ INFO

[ INFO

[ INFO

ealtime'

#

85:1in

#

on.rb:151:in

#

ationship_graph.rb:118:

#

on.rb:142:in

#

#

rb:155:1in

#

#

#

#

23:1in

#

[ INFO

[ INFO

[ INFO

[ INFO

2016-05-23 08:48:00
“eval_resource'
2016-05-23 08:48:00
‘call'
2016-05-23
“block

2016-05-23

08:48:00

08:48:00

"block in thinmark'

2016-05-23 08:48:00

2016-05-23 08:48:00

‘thinmark'

2016-05-23
"block
2016-05-23

08:48:00
in
08:48:00
in
2016-05-23 08:48:00
“evaluate'

221:in

in

(2 levels)

verbose]

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/comm
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/comm
/opt/puppetlabs/puppet/bin/puppet:5:in ' <main>"'

/Stage [main] /Puppet::Server: :Puppetserver/File_line[version

No such file or directory Q@ rb_sysopen - /etc/puppetlabs/pup

/usr/share/foreman-installer/modules/stdlib/lib/puppet/provi

‘readlines'

/usr/share/foreman-installer/modules/stdlib/lib/puppet/provi
/usr/share/foreman—-installer/modules/stdlib/lib/puppet/provi
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/property/
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:1l
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/type.rb:1

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti

‘from_resource'

verbose]

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti

“evaluate'

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

evaluate'

verbose]

‘traverse'

verbose]

[ INFO 2016-05-23 08:48:00 verbose]
catalog.rb:222:in "block in apply'
[ INFO 2016-05-23 08:48:00 verbose]

‘with_destination'

[ INFO 2016-05-23 08:48:00 verbose]
on/report.rb:118:in “as_logging_destination'
[ INFO 2016-05-23 08:48:00 verbose]
catalog.rb:221:in “apply'
[ INFO 2016-05-23 08:48:00 verbose]
r.rb:171:in “block in apply_catalog'

[ INFO

[ INFO

ealtime'

#

22:in

#

r.rb:170:

#

r.rb:315:

#

r.rb:186:

#

[ INFO

[ INFO

[ INFO

[ INFO

[ INFO

2016-05-23 08:48:00

"block in benchmark'

2016-05-23 08:48:00

2016-05-23 08:48:00

‘benchmark'

2016-05-23 08:48:00
in “apply_catalog'
2016-05-23 08:48:00
in ‘run_internal'
2016-05-23 08:48:00
in "block in run'
2016-05-23 08:48:00
verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

verbose]

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti

in evaluate'

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:3
/opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in “r
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:3
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/graph/rel
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/log.
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/transacti
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/resource/
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:2
/opt/puppetlabs/puppet/lib/ruby/2.1.0/benchmark.rb:294:in "r
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:2
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.r

4/6




+* O

#

r

#

:65:1in “override'

[ INFO 2016-05-23 08:48:00 verbose]

‘override'

[ INFO 2016-05-23 08:48:00 verbose]

.rb:185:in “run'

[ INFO 2016-05-23 08:48:00 verbose]

on/apply.rb:350:in ‘apply_catalog'

#

[ INFO 2016-05-23 08:48:00 verbose]

on/apply.rb:274:in ‘block in main'

#

[ INFO 2016-05-23 08:48:00 verbose]

b:65:in “override'

#

#

[ INFO 2016-05-23 08:48:00 verbose]

‘override'

[ INFO 2016-05-23 08:48:00 verbose]

on/apply.rb:225:in "main’

#

[ INFO 2016-05-23 08:48:00 verbose]

on/apply.rb:170:in " run_command'

#

[ INFO 2016-05-23 08:48:00 verbose]

on.rb:344:in “block in run'

#

[ INFO 2016-05-23 08:48:00 verbose]

40:1in “exit_on_fail'

#

[ INFO 2016-05-23 08:48:00 verbose]

on.rb:344:in " run'

#

[ INFO 2016-05-23 08:48:00 verbose]

and_line.rb:128:in “run'

#

[ INFO 2016-05-23 08:48:00 verbose]

and_line.rb:72:1in "~ execute'

#
#

[ INFO 2016-05-23 08:48:00 verbose]
[ WARN 2016-05-23 08:48:00 verbose]

/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:240:1in
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/configure
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/context.r
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet.rb:240:1in
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util.rb:5
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/applicati
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/comm
/opt/puppetlabs/puppet/lib/ruby/vendor_ruby/puppet/util/comm

/opt/puppetlabs/puppet/bin/puppet:5:in " <main>'
/Stage [main] /Puppet::Server: :Puppetserver/File[/etc/puppetl

abs/puppetserver/conf.d/ca.conf]/ensure: defined content as '{md5}89ee09574b369829999d72d8ecle8b8e

/etc now contains:

/etc/puppetlabs/puppetserver

/etc/puppetlabs/puppetserver/conf.
/etc/puppetlabs/puppetserver/conf.
/etc/puppetlabs/puppetserver/cont.
/etc/puppetlabs/puppetserver/conf.
/etc/puppetlabs/puppetserver/conf.
/etc/puppetlabs/puppetserver/conf.

d

d/auth.conf
d/global.conf
d/puppetserver.conf
d/web-routes.conf
d/webserver.conf

/etc/puppetlabs/puppetserver/logback.xml
/etc/puppetlabs/puppetserver/request-logging.xml
/etc/puppetlabs/puppetserver/services.d
/etc/puppetlabs/puppetserver/services.d/ca.cfg

but on 2.4.0:

/etc/puppetlabs/puppetserver

/etc/puppetlabs/puppetserver/bootstrap.cfg

/etc/puppetlabs/puppetserver/cont.
/etc/puppetlabs/puppetserver/conf.
/etc/puppetlabs/puppetserver/conf.
/etc/puppetlabs/puppetserver/cont.
/etc/puppetlabs/puppetserver/conf.
/etc/puppetlabs/puppetserver/conf.

d

d/auth.conf
d/global.conf
d/puppetserver.conf
d/web-routes.conf
d/webserver.conf

/etc/puppetlabs/puppetserver/logback.xml
/etc/puppetlabs/puppetserver/request-logging.xml

Associated revisions

Revision 68c2d50e - 05/25/2016 05:03 PM - Dominic Cleal

fixes #15132 - support services.d/ configuration in Puppet Server 2.5 (#402)

PS 2.5 moves CA configuration from bootstrap.cfg to a services.d/ca.cfg
file, separating user config (CA) from app config (e.g. versioned code
service). This is now configured instead of bootstrap.cfg when the
server_puppetserver_version parameter is set to 2.5.

A special version value of 2.4.99 (now the default) configures both the
2.4 and 2.5 files simultaneously, creating both bootstrap.cfg and
services.d/ca.cfg so the module works across both versions, albeit with
logged warnings about duplicate CA definitions. This ensures the module
will still work on the release of 2.5, after which time the parameter
default can be changed to 2.5.0 to remove the duplicate configuration.

History

#1 - 05/23/2016 05:46 AM - Dominic Cleal

Related tickets:

https://tickets.puppetlabs.com/browse/SERVER-1247
https://tickets.puppetlabs.com/browse/SERVER-1213

#2 - 05/23/2016 11:14 AM - Dominic Cleal
Additionally the BOOTSTRAP_CONFIG has changed in /etc/sysconfig/puppetserver (or /etc/default) to:

BOOTSTRAP_CONFIG="/etc/puppetlabs/puppetserver/services.d/, /opt/puppetlabs/server/apps/puppetserver/config/ser
vices.d/"

from /etc/puppetlabs/puppetserver/bootstrap.cfg.
| think to retain compatibility with 2.4 and 2.5, we could:

1. specify all three directories (bootstrap.cfg, 2x services.d) in BOOTSTRAP_CONFIG
2. add a file resource to ensure bootstrap.cfg exists (for file_line)

3. add a file resource to ensure both services.d/ directories exist

4. use file_line on both bootstrap.cfg and ca.cfg

which appears to work on both 2.4 and 2.5, with it just logging some warnings about CA services being declared twice, in both bootstrap.cfg and
ca.cfg. When 2.5's released then we could change the default behaviour to only configure ca.cfg and use the puppetserver version parameter to
provide 2.4 compatibility.

#3 - 05/24/2016 03:48 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 05/24/2016 07:09 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/puppet-puppet/pull/402 added

#5 - 05/25/2016 06:01 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-puppet|68c2d50eac54de1e21e66a96794ecald1d51f8af.

#6 - 05/27/2016 04:46 AM - Dominic Cleal

- translation missing: en.field_release set to 136
